#include "gpio.h"

#define Time_Pulse_Delay_Low	10
#define Time_Pulse_Delay_High	60
#define Time_Reset_Low			480
#define Time_After_Reset		350
#define Time_Hold_Down			2

#define One_Wire_Read_ROM		0x33
#define One_Wire_Skip_ROM		0xCC
#define One_Wire_Search_ROM		0xF0
#define One_Wire_Match_ROM		0x55

#define One_Wire_Error_No_Echo	0xFFFF
#define One_Wire_Bus_Low_Error	0xFFEE
#define One_Wire_Success		0x0001
#define One_Wire_Device_Busy	0x0002
#define One_Wire_CRC_Error		0xEEEE

unsigned int One_Wire_Reset(GPIO_TypeDef* GPIOx,unsigned long PIN);
void One_Wire_Write_Byte(unsigned char Byte,GPIO_TypeDef* GPIOx, unsigned long PIN);
unsigned char One_Wire_Read_Byte(GPIO_TypeDef* GPIOx,unsigned long PIN);
unsigned char One_Wire_Read_Bit (GPIO_TypeDef* GPIOx,unsigned long PIN);
void One_Wire_Write_Bit (unsigned char Bit,GPIO_TypeDef* GPIOx,unsigned long PIN);
