#include "gpio.h"

#define DS1822_CONVERT_T_CMD				0x44
#define DS1822_WRITE_STRATCHPAD_CMD			0x4E
#define DS1822_READ_STRATCHPAD_CMD			0xBE
#define DS1822_COPY_STRATCHPAD_CMD			0x48
#define DS1822_RECALL_E_CMD					0xB8
#define DS1822_READ_POWER_SUPPLY_CMD		0xB4

#define DS1822_STRATCHPAD_SIZE				0x09
#define DS1822_SERIAL_NUM_SIZE				0x08

unsigned int DS1822_Start_Conversion_Skip_Rom (GPIO_TypeDef* GPIOx, unsigned long PIN);
unsigned int DS1822_Read_Temp_NoCRC_Skip_Rom (GPIO_TypeDef* GPIOx, unsigned long PIN);
unsigned int DS1822_Read_Temp_CRC_Check (GPIO_TypeDef* GPIOx, unsigned long PIN);
unsigned int DS1822_Read_Rom(GPIO_TypeDef* GPIOx, unsigned long PIN);
unsigned int DS1822_Send_Cmd_By_Rom (GPIO_TypeDef* GPIOx, unsigned long PIN);
unsigned int DS1822_Start_Conversion_Cmd (GPIO_TypeDef* GPIOx, unsigned long PIN);
unsigned int DS1822_Read_Temp_NoCRC_By_Rom (GPIO_TypeDef* GPIOx, unsigned long PIN);
unsigned int DS1822_Search_Rom (GPIO_TypeDef* GPIOx, unsigned long PIN);
