/**************************************************************
** 	ţ
**	ܽܣ ADCת
**  汾V1.0  
**	̳www.openmcu.com
**	Աhttp://shop36995246.taobao.com/   
**  ֧Ⱥ121939788 
***************************************************************/ 
/* Includes ------------------------------------------------------------------*/
#include "stm32f10x.h"
#include "hardware.h"
#include "adc.h"
/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
#define ADC1_DR_Address    ((uint32_t)0x4001244C)	//ADC1ݼĴַ

/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
vu16 ADCConvertedValue;

uint8_t AsciiBuff[5];
/* Private function prototypes -----------------------------------------------*/
ADC_InitTypeDef ADC_InitStructure;
DMA_InitTypeDef DMA_InitStructure;
/*****************************************************************************
** : adc_Init
** : ADCʼ
**   : Dream
** ա  : 20101206
*****************************************************************************/

/*****************************************************************************
** : HexToASCII
** : ֵתַ
				0x30 ַ0 1234 תΪ 1234
**   : Dream
** ա  : 20101206
*****************************************************************************/
void HexToASCII(uint16_t data)
{
	AsciiBuff[0] = data/1000%10 + 0x30;
	AsciiBuff[1] = data/100%10 + 0x30;
	AsciiBuff[2] = data/10%10 + 0x30;
	AsciiBuff[3] = data%10 + 0x30;
	AsciiBuff[4] = 0;
}
/*****************************************************************************
** : HexToASCII
** : ֵתַ
				0x30 ַ0 1234 תΪ 1234
**   : Dream
** ա  : 20101206
*****************************************************************************/
void Temp_Init(void)
{
	RCC_AHBPeriphClockCmd(RCC_AHBPeriph_DMA1, ENABLE);
	RCC_APB2PeriphClockCmd(RCC_APB2Periph_ADC1,ENABLE);

  /* DMA1 channel1 configuration ----------------------------------------------*/
  DMA_DeInit(DMA1_Channel1);
  DMA_InitStructure.DMA_PeripheralBaseAddr = ADC1_DR_Address;
  DMA_InitStructure.DMA_MemoryBaseAddr = (uint32_t)&ADCConvertedValue;
  DMA_InitStructure.DMA_DIR = DMA_DIR_PeripheralSRC;
  DMA_InitStructure.DMA_BufferSize = 1;
  DMA_InitStructure.DMA_PeripheralInc = DMA_PeripheralInc_Disable;
  DMA_InitStructure.DMA_MemoryInc = DMA_MemoryInc_Disable;
  DMA_InitStructure.DMA_PeripheralDataSize = DMA_PeripheralDataSize_HalfWord;
  DMA_InitStructure.DMA_MemoryDataSize = DMA_MemoryDataSize_HalfWord;
  DMA_InitStructure.DMA_Mode = DMA_Mode_Circular;
  DMA_InitStructure.DMA_Priority = DMA_Priority_High;
  DMA_InitStructure.DMA_M2M = DMA_M2M_Disable;
  DMA_Init(DMA1_Channel1, &DMA_InitStructure);
  
  /* Enable DMA1 channel 1 */
  DMA_Cmd(DMA1_Channel1, ENABLE);
     
  /* ADC1 configuration ------------------------------------------------------*/
  ADC_InitStructure.ADC_Mode = ADC_Mode_Independent;
  ADC_InitStructure.ADC_ScanConvMode = ENABLE;
  ADC_InitStructure.ADC_ContinuousConvMode = ENABLE;
  ADC_InitStructure.ADC_ExternalTrigConv = ADC_ExternalTrigConv_None;
  ADC_InitStructure.ADC_DataAlign = ADC_DataAlign_Right;
  ADC_InitStructure.ADC_NbrOfChannel = 1;
  ADC_Init(ADC1, &ADC_InitStructure);



  /* Enable the temperature sensor and vref internal channel */
  ADC_TempSensorVrefintCmd(ENABLE);	    //ڲ¶ȴ  һ 

  /* Enable ADC1 DMA */
  ADC_DMACmd(ADC1, ENABLE);
  
  /* Enable ADC1 */
  ADC_Cmd(ADC1, ENABLE);

  /* Enable ADC1 reset calibaration register */   //ʹ֮ǰһҪУ׼
  ADC_ResetCalibration(ADC1);
  /* Check the end of ADC1 reset calibration register */

  while(ADC_GetResetCalibrationStatus(ADC1));
  
  /* Start ADC1 calibaration */
  ADC_StartCalibration(ADC1);
  /* Check the end of ADC1 calibration */
  while(ADC_GetCalibrationStatus(ADC1));
     

}
/*****************************************************************************
** : ADC_Filter
** : ADCתֵ
				10ƽֵ ׼ȷ
**   : Dream
** ա  : 20101206
*****************************************************************************/
uint16_t ADC_Filter(unsigned char channels)
{
uint16_t result=0;
uint8_t i=0;
   /* ADC1 regular channel  configuration */ 
ADC_RegularChannelConfig(ADC1, channels, 1, ADC_SampleTime_71Cycles5);
  ADC_SoftwareStartConvCmd(ADC1, ENABLE);
  while(ADC_GetFlagStatus(ADC1, ADC_FLAG_EOC) == RESET);
while(i<10)
{
i=i+1;

 /* Start ADC1 Software Conversion */ 


//	for(j=0;j<5000;j++); 
	 result += ADCConvertedValue;
	//result = result + ADC_GetConversionValue(ADC1);
}

return result/10;
}
/*********************************************************************************************************
** End of File
*********************************************************************************************************/
