#include "gpio.h"

void PIN_ON(GPIO_TypeDef * GPIOx,u16 PINx)
{
	GPIOx->BSRR=PINx;
}

void PIN_OFF(GPIO_TypeDef * GPIOx,u16 PINx)								
{
	GPIOx->BRR=PINx;
}

u8 PIN_IN(GPIO_TypeDef * GPIOx, u16 PINx)
{
	if((GPIOx->IDR&PINx)!=0)
	{return 1;}
	else
	{return 0;}

}

void PIN_INV(GPIO_TypeDef * GPIOx, u16 PINx)
{
	if(PIN_IN(GPIOx, PINx)!=0)
	{PIN_OFF(GPIOx, PINx);}
	else
	{PIN_ON(GPIOx, PINx);}
}

void PIN_FLOAT_INPUT (GPIO_TypeDef * GPIOx, u16 PINx)
{
	GPIO_InitTypeDef GPIO_InitStructure;
  	GPIO_InitStructure.GPIO_Pin = PINx;
  	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IN_FLOATING;	 	
  	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;		
  	GPIO_Init(GPIOx, &GPIO_InitStructure);
}

void PIN_OUT_PP (GPIO_TypeDef * GPIOx, u16 PINx)
{
	GPIO_InitTypeDef GPIO_InitStructure;
  	GPIO_InitStructure.GPIO_Pin = PINx;
  	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;	 	
  	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;		
  	GPIO_Init(GPIOx, &GPIO_InitStructure);
}
